IF NOT EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'gen_archivo' AND COLUMN_NAME = 'tamano')
BEGIN
	ALTER TABLE gen_archivo
	ADD tamano FLOAT NULL
END

GO

IF NOT EXISTS (SELECT 1 FROM _columnas where tabla = 'gen_archivo' and columna = 'tamano')
BEGIN  
	INSERT INTO [dbo].[_columnas]
			   ([tabla]
			   ,[columna]
			   ,[mostrarEnGrilla]
			   ,[ordenGrilla]
			   ,[requerido]
			   ,[tipo]
			   ,[defecto]
			   ,[tamano]
			   ,[id_seccionAtributo]
			   ,[mostrarEnAPI]
			   ,[dependiente])
		 VALUES
			   ('gen_archivo'
			   ,'tamano'
			   ,1
			   ,1
			   ,1
			   ,'float'
			   ,'((0))'
			   ,NULL
			   ,0
			   ,0
			   ,NULL)
END